public inbox for glibc-bugs@sourceware.org
help / color / mirror / Atom feed
* [Bug libc/807] New: /usr/bin/ldd depends on bash.
@ 2005-03-29 10:49 han at mijncomputer dot nl
  2005-04-07  9:41 ` [Bug libc/807] " han at mijncomputer dot nl
  0 siblings, 1 reply; 2+ messages in thread
From: han at mijncomputer dot nl @ 2005-03-29 10:49 UTC (permalink / raw)
  To: glibc-bugs

/usr/bin/ldd contains a bash shebang. Since I don't use bash ldd won't work.

Furthermore the shell I do use trips over the set -o pipefail. This is easily
fixed with the included patch:

--- ldd.orig    2005-03-29 12:35:17.820676992 +0200
+++ ldd 2005-03-29 12:34:36.324985296 +0200
@@ -1,4 +1,4 @@
-#! /bin/bash
+#! /bin/sh
 # Copyright (C) 1996-2001, 2002, 2003, 2004 Free Software Foundation, Inc.
 # This file is part of the GNU C Library.
 
@@ -116,10 +116,12 @@
 fi
 
 # The following use of cat is needed to make ldd work in SELinux
-# environments where the executed program might not have permissions
-# to write to the console/tty.  But only bash 3.x supports the pipefail
-# option, and we don't bother to handle the case for older bash versions.
-if set -o pipefail 2> /dev/null; then
+# environments where the executed program might not have
+# permissions to write to the console/tty. But only bash 3.x
+# supports the pipefail option, and we don't bother to handle the
+# case for older bash versions.
+if [ "${BASH_VERSION%%.*}" -ge 3 ]; then
+  set -o pipefail
   try_trace() {
     eval $add_env '"$@"' | cat
   }

-- 
           Summary: /usr/bin/ldd depends on bash.
           Product: glibc
           Version: 2.3.4
            Status: NEW
          Severity: enhancement
          Priority: P2
         Component: libc
        AssignedTo: gotom at debian dot or dot jp
        ReportedBy: han at mijncomputer dot nl
                CC: glibc-bugs at sources dot redhat dot com


http://sources.redhat.com/bugzilla/show_bug.cgi?id=807

------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.


^ permalink raw reply	[flat|nested] 2+ messages in thread

* [Bug libc/807] /usr/bin/ldd depends on bash.
  2005-03-29 10:49 [Bug libc/807] New: /usr/bin/ldd depends on bash han at mijncomputer dot nl
@ 2005-04-07  9:41 ` han at mijncomputer dot nl
  0 siblings, 0 replies; 2+ messages in thread
From: han at mijncomputer dot nl @ 2005-04-07  9:41 UTC (permalink / raw)
  To: glibc-bugs


------- Additional Comments From han at mijncomputer dot nl  2005-04-07 09:41 -------


*** This bug has been marked as a duplicate of 832 ***

-- 
           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEW                         |RESOLVED
         Resolution|                            |DUPLICATE


http://sources.redhat.com/bugzilla/show_bug.cgi?id=807

------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.


^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2005-04-07  9:41 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2005-03-29 10:49 [Bug libc/807] New: /usr/bin/ldd depends on bash han at mijncomputer dot nl
2005-04-07  9:41 ` [Bug libc/807] " han at mijncomputer dot nl

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).